## plasma-widget-wifi 0.5+repack

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-wifi-signal)

#set(CMAKE_BACKWARDS_COMPATIBILITY 2.2)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
find_package(Plasma REQUIRED)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QT_QTTEST_INCLUDE_DIR}
   )
 
# We add our source code here
set(plasma_wifi_signal_SRCS plasma-wifi-signal.cpp)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_wifi_signal ${plasma_wifi_signal_SRCS})
target_link_libraries(plasma_applet_wifi_signal 
                      ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

# Build the tests
#kde4_add_unit_test( test_plasma_wifi test_plasma-wifi-signal.cpp )
#target_link_libraries( test_plasma_wifi plasma_applet_wifi_signal
#                      ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} )
 
install(TARGETS plasma_applet_wifi_signal
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-wifi-signal-default.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
    network-wireless.svg
    network-wireless-48x48.svg
    network-wireless-16x16.svg
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== debian/changelog ===
plasma-widget-wifi (0.5+repack-0ubuntu1) maverick; urgency=low

  * Repack the orig tarball as the old one contained parts of the debian/ dir.
  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Move to section kde.
  * Add ${misc:Depends} to plasma-widget-wifi dependencies.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh7 rules and bump debian/compat to 7.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 01:43:30 +0200

plasma-widget-wifi (0.5-0ubuntu8) karmic; urgency=low

  [ Alessandro Ghersi ]
  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump Standards-Version to 3.8.1
  * Drop plasmoid-wifi transitional package
  * Remove plasma-widget-wifi.install

  [ Jonathan Thomas ]
  * Update my name/email in the original maintainer field

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 02:55:20 +0200

plasma-widget-wifi (0.5-0ubuntu7) jaunty; urgency=low

  * Rename package to match Debian plasma workings 
  * Add a transitional package for intrepid upgrades
  * Add plasma-widget-wifi.install file

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 10 Feb 2009 00:14:47 -0500

plasmoid-wifi (0.5-0ubuntu6) jaunty; urgency=low

  * Rebuild against new libplasma-dev and bump version required to 4.2.0
    to avoid inadvertent builds against the old version on slow archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jan 2009 22:41:42 -0500

plasmoid-wifi (0.5-0ubuntu5) jaunty; urgency=low

  * Rebuild against new libplasma-dev

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 17 Jan 2009 21:22:44 -0500

plasmoid-wifi (0.5-0ubuntu4) jaunty; urgency=low

  * Add kubuntu_01_change_cmakelists_for_42.diff to fix building with KDE
    4.1.96

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 13 Jan 2009 16:30:50 -0500

plasmoid-wifi (0.5-0ubuntu3) jaunty; urgency=low

  * debian/control:
    - Bumped build-dep on libplasma-dev to 4.1.85 for libplasma2 -> 3
      transition.

 -- Michael Casadevall <sonicmctails@gmail.com>  Wed, 17 Dec 2008 23:28:32 -0500

plasmoid-wifi (0.5-0ubuntu2) intrepid; urgency=low

  * Just a rebuild upload, nothing changed. (LP: #267639)
  * Remove obsolete debian/cdbs folder.

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Mon, 08 Sep 2008 06:56:05 +0200

plasmoid-wifi (0.5-0ubuntu1) intrepid; urgency=low

  [ Jonathan Thomas (The man) ]
  * Initial release. (LP: #221150)

  [ Harald Sitter ]
  * Remove debian/watch since upstream doesn't publish  the tarballs anymore
    on a server, which we can query

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Jul 2008 11:56:44 +0200

=== debian/control ===
Source: plasma-widget-wifi
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               cmake,
               kdelibs5-dev (>= 4:4.2.2)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Plasma+WiFi?content=79476

Package: plasma-widget-wifi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Plasma widget that displays WiFi connection strength
 A simple plasma widget used to monitor the strength of the connection between 
 your wireless network card and wireless access point.
